Bug 530063 - (CVE-2009-3871) CVE-2009-3871 OpenJDK JRE AWT setBytePixels heap overflow (6872358)
CVE-2009-3871 OpenJDK JRE AWT setBytePixels heap overflow (6872358)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=sun,public=20...
: Security
: 533220 (view as bug list)
Depends On: 530367 530368 532004 532005 543562 543563 543564 545353 545354 549649 549650 554295 589514 589515
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 08:33 EDT by Marc Schoenefeld
Modified: 2015-08-22 11:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sun Bug Database 6872358 None None None Never

  None (edit)
Comment 3 Mark J. Cox (Product Security) 2009-11-03 18:04:09 EST
  A buffer overflow vulnerability in the Java Runtime Environment
  with processing image files may allow an untrusted applet or
  Java Web Start application to escalate privileges. For example,
  an untrusted applet may grant itself permissions to read and write
  local files or execute local applications that are accessible to
  the user running the untrusted applet.
Comment 4 Josh Bressers 2009-11-05 16:15:20 EST
*** Bug 533220 has been marked as a duplicate of this bug. ***
Comment 5 errata-xmlrpc 2009-11-09 10:04:40 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html
Comment 6 Fedora Update System 2009-11-13 03:45:37 EST
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12
Comment 7 Fedora Update System 2009-11-13 03:49:30 EST
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10
Comment 8 Fedora Update System 2009-11-13 11:34:45 EST
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11
Comment 9 Fedora Update System 2009-11-13 22:29:39 EST
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-11-13 22:31:33 EST
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-11-13 22:32:46 EST
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 errata-xmlrpc 2009-11-16 10:45:13 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html
Comment 14 errata-xmlrpc 2009-12-07 21:57:05 EST
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2009:1643 https://rhn.redhat.com/errata/RHSA-2009-1643.html
Comment 16 errata-xmlrpc 2009-12-08 14:09:49 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1647 https://rhn.redhat.com/errata/RHSA-2009-1647.html
Comment 18 errata-xmlrpc 2009-12-23 12:34:21 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1694 https://rhn.redhat.com/errata/RHSA-2009-1694.html
Comment 20 errata-xmlrpc 2010-01-14 11:33:08 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html
Comment 22 errata-xmlrpc 2010-05-12 12:22:08 EDT
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP

Via RHSA-2010:0408 https://rhn.redhat.com/errata/RHSA-2010-0408.html

Note You need to log in before you can comment on or make changes to this bug.